//Note: although react-router 4 allows for dynamic/distributed routing, we need
//to use a single static route config for code-splitting to work
import App from './App';
// import {HomePage, UsersPage, ErrorPage} from './codeSplitMappingsSync';

import Loadable from 'react-loadable';
import {Loading} from './components/';


const HomePage = Loadable({ loader: () => import('./pages/HomePage/HomePage'), loading: Loading, });
const UsersPage = Loadable({ loader: () => import('./pages/UsersPage/UsersPage'), loading: Loading, });
const ErrorPage = Loadable({ loader: () => import('./pages/ErrorPage/ErrorPage'), loading: Loading, });

const routes = [
  { 
    component: App,
    routes: [
      { path: '/', exact: true, component: HomePage, layout:'fred'  },
      { path: '/users', component: UsersPage, layout:'fred2'  },
      { path: '*', component: ErrorPage, layout:'fred2'  }
    ]
  }
];

export default routes;